*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: Arial, Helvetica, sans-serif;
}

a{
    text-decoration: none;
    color: inherit;
}

a:visited{
    color: inherit;
}

body{
    background-color: white;
}

.arriba{
    background-color: black;
    color: white;
    padding: 15px 30px;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.salir{
    background-color: rgb(255, 54, 54);
    color: black;
    text-decoration: none;
    padding: 10px 18px;
    border-radius: 20px;
    font-weight: bold;
}

.contenedor{
    display: flex;
    gap: 20px;
    padding: 20px;
}

.barralateral{
    display: flex;
    flex-direction: column;
    gap: 20px;
}

.barralateral-info{
    padding: 15px;
}

.menu{
    display: block;
    background-color: rgb(251, 96, 96);
    color: black;
    text-decoration: none;
    padding: 12px;
    margin-bottom: -5px;
    border-radius: 8px;
    font-weight: bold;
}

.centro{
    flex: 1;
    display: flex;
    flex-direction: column;
    gap: 20px;
}

.caja, .post, .derecha{
    background: white;
    border-radius: 10px;
    padding: 20px;
}

.grupo input, .grupo textarea{
    width: 100%;
    padding: 12px;
    border-radius: 10px;
    border: 1px solid gray;
    margin-top: 8px;
}

.grupo textarea{
    height: 120px;
    resize: none;
}

.botones{
    display: flex;
    gap: 10px;
}

.botones button{
    width: 100%;
    padding: 12px;
    border: none;
    border-radius: 20px;
    cursor: pointer;
    font-weight: bold;
}

.oro{
    background-color: rgb(255, 93, 93);
    color: black;
}

.gris{
    background-color: #dcdcdc;
}

.postarriba{
    margin-bottom: 10px;
}

.post img{
    width: 100%;
    border-radius: 10px;
    margin-top: 10px;
}

.postabajo{
    margin-top: 10px;
    color: gray;
}

.derecha{
    width: 300px;
    height: fit-content;
}

.derecha ul{
    list-style: none;
    margin-top: 15px;
    margin-bottom: 20px;
}

.derecha li{
    padding: 5px 0;
    color: #333;
}

.seguir{
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-bottom: 15px;
}

.seguir button{
    background-color: rgb(255, 93, 93);
    color: black;
    border: none;
    padding: 8px 12px;
    border-radius: 20px;
    cursor: pointer;
    font-weight: bold;
}

#errorTitulo{
    color: red;
    font-size: 14px;
}

button:disabled{
    opacity: 0.5;
}
